<!DOCTYPE html>
<!--

    Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)

    This software is a computer program whose purpose is to maintain and
    administrate standalone forms.

    This software is governed by the CeCILL  license under French law and
    abiding by the rules of distribution of free software.  You can  use,
    modify and/ or redistribute the software under the terms of the CeCILL
    license as circulated by CEA, CNRS and INRIA at the following URL
    "http://www.cecill.info".

    As a counterpart to the access to the source code and  rights to copy,
    modify and redistribute granted by the license, users are provided only
    with a limited warranty  and the software's author,  the holder of the
    economic rights,  and the successive licensors  have only  limited
    liability.

    In this respect, the user's attention is drawn to the risks associated
    with loading,  using,  modifying and/or developing or reproducing the
    software by the user in light of its specific status of free software,
    that may mean  that it is complicated to manipulate,  and  that  also
    therefore means  that it is reserved for developers  and  experienced
    professionals having in-depth computer knowledge. Users are therefore
    encouraged to load and test the software's suitability as regards their
    requirements in conditions enabling the security of their systems and/or
    data to be ensured and,  more generally, to use and operate it in the
    same conditions as regards security.

    The fact that you are presently reading this means that you have had
    knowledge of the CeCILL license and that you accept its terms.

-->
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, breadcrumbs=~{::breadcrumbs}, mainContent=~{::mainContent})}">
<head>
<title>Form Administration Console</title>
<th:block th:fragment="scripts">
    <script th:src="@{/js/app/engine/pdf.js}"></script>
    <script th:inline="javascript">
    /*<![CDATA[*/
    var coordinatesRatios = [[${coordinatesRatios}]];
    /*]]>*/
    </script>
</th:block>
</head>
<body>
    <ol th:fragment="breadcrumbs">
        <li>
            <a th:href="@{/}" th:text="#{Home}"></a>
        </li>
        <li class="active">
            <span th:text="#{PDF}"></span>
        </li>
    </ol>
    <div th:fragment="mainContent">
        <div id="pdf-wrapper" class="row">
            <div class="col-md-3">
                <div class="form-group">
                    <form name="pdfForm" th:action="@{/engine/pdf}" method="post" enctype="multipart/form-data">
                        <label for="file" class="control-label" th:text="#{PDF to preview}">PDF to preview</label>
                        <input type="file" name="file" data-toggle="file" data-remove="no" data-auto-upload="true" />
                    </form>
                </div>
                <div class="form-group" th:if="${fields != null}">
                    <input id="search-name" type="text" class="form-control" name="search-name" th:placeholder="#{Field name}"></input>
                </div>
                <div class="form-group" th:if="${fields != null}">
                    <table id="pdfFieldsTable" class="table table-stripped table-condensed table-hover">
                        <thead>
                            <tr>
                                <th th:text="#{Name}" class="name"></th>
                                <th th:text="#{Type}" class="type"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="field : ${fields}">
                                <td th:text="${field.name}" class="name"></td>
                                <td th:text="${field.type}" class="type"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-md-9" th:if="${fields != null}">
                <h1 th:text="#{'PDF preview (clickable)'}"></h1>
                <div id="pdf-pager">
                    <button id="btn-pdf-previous-page" type="button" class="btn btn-default">
                        <i class="fa fa-chevron-left"></i>
                    </button>
                    <span th:text="#{Page}"></span>
                    &nbsp;
                    <span id="current-page-index">1</span>
                    /
                    <span id="max-page-index" th:text="${numberOfPages}"></span>
                    <button id="btn-pdf-next-page" type="button" class="btn btn-default">
                        <i class="fa fa-chevron-right"></i>
                    </button>
                </div>
                <div id="pdf-preview-wrapper">
                    <img id="pdf-preview"></img>
                    <div id="pdf-preview-info" class="not-displayed"></div>
                </div>
                <div class="relative">
                    <h2 th:text="#{Fields filling Javascript template}"></h2>
                    <pre class="line-numbers" style="line-height: 1.4"><code id="fields-filling-template" class="language-javascript" style="line-height: 1.4">var cerfaFields = {};

<th:block th:each="field : ${fields}">[[|cerfaFields['${field.name}'] ${field.spaceToAlign}= ${field.defaultValue};|]]
</th:block>
var pdfModel = nash.doc.load('models/cerfa.pdf').apply(cerfaFields);

var data = [ spec.createData({
    id : 'record',
    label : 'Record',
    description : 'Record generated from the typed data',
    type : 'FileReadOnly',
    value : [ pdfModel.save('record.pdf') ]
}) ];

var groups = [ spec.createGroup({
    id : 'generated',
    label : 'Generated records',
    data : data
}) ];

return spec.create({
    id : 'review',
    label : 'Review',
    groups : groups
});
</code></pre>
                    <button id="btn-pdf-copy-clipboard" type="button" class="btn btn-primary absolute-top-right" th:text="#{Copy}">Copy</button>
                    <a id="btn-pdf-download" type="button" class="btn btn-primary" th:href="@{/engine/pdf/autoForm}" th:text="#{Download}">Download</a>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
